Bug 584808 - Schema for autofs
Summary: Schema for autofs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap   
(Show other bugs)
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 13:23 UTC by Charles Lopes
Modified: 2012-02-03 05:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 12:39:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
autofs schema from RFC 2307bis (1017 bytes, text/plain)
2010-04-22 13:23 UTC, Charles Lopes
no flags Details

Description Charles Lopes 2010-04-22 13:23:25 UTC
Created attachment 408322 [details]
autofs schema from RFC 2307bis

The autofs.schema file bundled with openldap-servers incorrectly uses OID 1.3.6.1.1.1.1.13 for objectclass automount. Only attributes are meant to appear under 1.3.6.1.1.1.1 so an objectclass cannot use this range. Also this OID is already (and correctly) assigned to the attribute memberNisNetgroup.

I do not know what is the relation between the bundled schema and the one found at http://people.redhat.com/nalin/schema/autofs.schema. They are almost identical but the OIDs are at least consistent in the latter one. If it is a corrected version of the bundled schema, could it be updated then? 

Another alternative is to follow rfc2307bis (an expired dratf). I believe that this is what 389 directory uses as well. I have attached to the current ticket a schema file that follows the RFC. This schema is different enough from the current that it cannot be used as a drop in replacement but it could be offered as an alternate schema.

Comment 1 Jan Zeleny 2010-05-27 15:08:43 UTC
I have it prepared for F12, F13 and rawhide. I will commit it soon, currently I'm waiting for feedback on another bug which will go to the commit as well.

Comment 2 Jan Zeleny 2010-05-28 12:39:54 UTC
The schema has been added to rawhide, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.